Recommended update for yast2-firstboot

SUSE Recommended Update: Recommended update for yast2-firstboot
Announcement ID: SUSE-RU-2019:1540-1
Rating: moderate
References: #1131301 #1131327 #1132189
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP4

An update that has three recommended fixes can now be installed.

Description:

This update for yast2-firstboot fixes the following issues:

  • Fixes an issue where license terms checkbox gets cleared after pressing next button (bsc#1131327)
  • firstboot.xml template was updated to use the "firstboot_licenses" client for the license agreement
  • Fixes another issue when displaying license agreements to cover more scenarios (bsc#1131327)
  • Disable duplicate license dialogs (bsc#1131301)
  • Initialize product in firstboot (bsc#1132189)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-1540=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-1540=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • yast2-firstboot-3.1.23-3.3.1
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • yast2-firstboot-3.1.23-3.3.1

References: